irdb-get(1)

NAME

irdb-get - list, search and download lirc configuration files.

SYNOPSIS
irdb-get update

irdb-get find <string>

irdb-get info <id>

irdb-get download <id>

irdb-get list [pattern]

irdb-get find-driver <string>

irdb-get yaml-config

irdb-get <-h|--help|-v|--version>

DESCRIPTION

irdb-get can list, search and download lirc remote configuration files. It works by downloading an index file, making all operations besides the actual download local.

Entries in the index are identified by an id. Such an id is on the form dir/remote e. g., x10/ati_remote_wonder_III

COMMANDS

update
    Download the index from the remote repository.

find <string>
    List all entries in the index file matching <string>. Matching is done using regular shell match syntax (i. e., not regex).

find-driver <string>
    List all entries in the index with a given driver. The matching is exact, no wildcards.

info <id>
    Print some more info about a given entry.

download <id>
    Download the configuration file for a given entry. The filename is printed on stdout.

list <pattern>
    List entries matching <pattern>. <pattern> is on the form dir/remote e. g., x10/ati* or */ati_remote_wonder* . The first word in the list is something like -RL- where the letters represent:

    R   Raw configuration.

    T   Remote has timing information i. e., it can be used with generic capture devices.

    L   Remote has a lircmd config file.

    P   Remote has a photo.

yaml-config
    Prints a YAML file on stdout which maps drivers to remote files with corresponding driver attribute. The format is unstable and primarely used by lirc-setup(1).

OPTIONS

-h , --help
    Print help message.

-v , --version
    Print version info.

ENVIRONMENT

LIRC_REMOTES_URL
    The base URL used when downloading config files, defaults to https://sourceforge.net/p/lirc-remotes/code/ci/master/tree.

LIRC_REMOTES_LIST
    URL to a file listing all remotes, as created by lirc-lsremotes(1). Defaults to http://lirc-remotes.sourceforge.net/remotes.list.

LIRC_IRDB_CACHE_ID
    If defined, replaces the date otherwise printed in the yaml-config output. Ignored for other commands. Useful for reproducible builds together with XDG_CACHE_HOME.

XDG_CACHE_HOME
    If defined, relocates the cached, downloaded remotes listing file to $XDG_CACHE_HOME/remotes.list, see FILES.

FILES

~/.cache/remotes.list
    The index file downloaded on demand or by the update command.

SEE ALSO
http://sourceforge.net/projects/lirc-remotes